Subject: Re: bug#20896: patch to add chained indentation

From: Tom Tromey <[email-masked]>
Date: Wed, 11 Jan 2017 21:01:53 -0700

>> It comes with some tests

Dmitry> I'd just like to point out that it's much better to write indentation
Dmitry> tests in the format used by test/manual/indent/js*.

Thanks, I wasn't aware of this.  I'll redo the test this way.

>> (added to a file that first appears in patch in another
>> bug

Dmitry> Not sure which patch you mean. This file seems new.

I added js-tests.el in the bug#19399/bug#22431 patch, then further
amended it in bug#15582.  None of these have landed yet.  (There's also
bug#25389, which is related, but doesn't touch the test file.)

Dmitry> As for review: js--skip-term-backward seems to be doing something
Dmitry> similar to the loop in js--multi-line-declaration-indentation.
Dmitry> Maybe a extraction and unification is in order.

I don't really see it.  Could you explain more?

Tom